get
https://api.ocrolus.com/v1/books
This API retrieves a list of all Books available to the current user. It returns the following two different response shapes depending on whether the limit parameter is supplied, select the schema and example that matches your use case:
- Unpaginated: When
limitis omitted, the response is a bare array of Book objects with no wrapper. - Paginated: When
limitis supplied, the response is an object containing_links,limit,total_book_count, andbooks.
Note
- By default results are ordered by Book PK in descending order but you can alter how and what books are returned by providing different parameters with your request.
- Use the
namequery parameter to find a Book by an exact name. This will be faster thansearchwhich uses approximate string matching algorithm.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…